наверх

Установка MODX Revolution на хостинг

Для того чтобы установить MODX нужно выполнить несколько простых шагов. Ниже кратко о том как это сделать пошагово.

1. Скачать архив системы с официального сайта MODX https://modx.com/download/.

2. Распаковать содержимое архива на сервер.

3. Создать базу данных для сайта который будет работать на MODX.

4. В адресной строке набрать my-site.ru/setup/ . Где my-site.ru — домен вашего сайта. После этого запустится установщик MODX:

Запуск установщика Modx

Здесь следует выбрать язык и продолжить установку.

5. Появится окно с выбором настроек для установки. Здесь можно выбрать установку заново, обновление и установить права доступа к папкам и файлам. При первичной установке можно не менять настройки по умолчанию:

6. Следующим шагом необходимо настроить соединение с базой данных. В первом поле установлено значение localhost и в большинстве случаев его менять не нужно. Но если оно не подходит следует обратится к вашему хостеру чтобы узнать какое значение следует использовать в данном поле. Во втором поле следует указать пользователя созданного для базы которую создали для сайта на третьем шаге. В третьем поле соответственно пароль этого пользователя. В четвертом поле указываем имя базы данных. После того как все заполнено следует нажать на ссылку прямо под всеми этими полями «Проверить соединение с сервером базы данных»:

7. Если все прошло успешно мы увидим сообщение об успешном подключении к базе и появится еще одна ссылка «Попытка создания или выборки из базы данных». Нажимаем эту ссылку для продолжения:

На этом шаге следует заполнить данные для входа в админ панель и продолжить установку. После этого MODX проверит настройки сервера и если все в порядке , появится сообщение о успешной установке ядра. Теперь можно завершить установку нажав «Далее». Если все хорошо вас перенаправит на страницу входа в панель администрирования.

На данном этапе MODX может выдать вам ошибку:

Parse error: syntax error, unexpected ‘[‘ in /my-site.ru/core/model/modx/modx.class.php on line 283

Это означает что у вас установлена старая версия PHP. Вы можете либо обновить PHP либо поправить синтаксис. Для того чтобы поправить синтаксис следует найти файл указанный в ошибке и указанную в ней строку:

Меняем ее на:

После этих манипуляций все должно заработать.

 

MODX, MODX Revolution